Summary:	A C++ BitTorrent library
Summary(hu.UTF-8):	C++ BitTorrent könyvtár
Summary(pl.UTF-8):	Biblioteka BitTorrenta napisana w C++
Name:		libtorrent-rasterbar
Version:	0.16.7
Release:	4
Epoch:		1
License:	BSD
Group:		Libraries
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	0d83acb7d03fba652abbebdaca1fdcb0
URL:		http://www.rasterbar.com/products/libtorrent/
BuildRequires:	GeoIP-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	boost-devel >= 1.36
BuildRequires:	boost-python-devel >= 1.36
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
BuildRequires:	util-linux
BuildRequires:	which
BuildRequires:	zlib-devel
Obsoletes:	rb_libtorrent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other BitTorrent implementations around. It is
a library and not a full featured client, although it comes with a
working example client.

Its main goals are to be very efficient (in terms of CPU and memory
usage) as well as being very easy to use both as a user and developer.

%description -l hu.UTF-8
libtorrent-rasterbar egy C++ könyvtár, amely egy jó alternatívája
kíván lenni az összes többi BitTorrent implementációjának. Ez "csak"
egy könyvtár, és nem egy szolgáltatásgazdag kliens, habár ad egy
működő példa-klienst.

A fő céljai, hogy nagyon hatékony legyen (CPU és memória-használat) és
könnyű legyen használni mind a felhasználóknak, mind a fejlesztőknek.

%description -l pl.UTF-8
libtorrent-rasterbar jest napisaną w C++ biblioteką, która aspiruje do
bycia dobrą alternatywą dla wszystkich innych implementacji
BitTorrenta. Jest to biblioteka a nie pełnoprawny klient, aczkolwiek
pakiet zawiera działającego przykładowego klienta.

Główne cele biblioteki to bycie bardzo efektywną (w rozumieniu
wykorzystania procesora i pamięci) jak również łatwą w użyciu zarówno
dla użytkownika, jak i programisty.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
License:	BSD, zlib/libpng License, Boost Software License
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	boost-devel
Requires:	openssl-devel
Obsoletes:	rb_libtorrent-devel

%description    devel
The libtorrent-rasterbar-devel package contains libraries and header
files for developing applications that use libtorrent-rasterbar.

The various source and header files included in this package are
licensed under the revised BSD, zlib/libpng, and Boost Public
licenses.

%description devel -l hu.UTF-8
A libtorrent-rasterbar-devel csomag tartalmazza a könyvtári és
fejlesztői fájlokat, amellyel libtorrent-rasterbar-t használó
alkalmazásokat fejleszthetsz.

%description devel -l pl.UTF-8
Pakiet libtorrent-rasterbar-devel zawiera biblioteki i nagłówki do
rozwijania aplikacji używających libtorrent-rasterbar.

Różne pliki źródłowe i nagłówki dostarczone z tym pakietem są
licencjonowane pod zmienioną licencją BSD, zlib/libpng i Boost Public
License.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	rb_libtorrent-static

%description static
Static libtorrent-rasterbar library.

%description static -l hu.UTF-8
Statikus libtorrent-rasterbar könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka libtorrent-rasterbar.

%package -n python-libtorrent-rasterbar
Summary:	Python bindings for libtorrent-rasterbar
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libtorrent-rasterbar
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-libtorrent-rasterbar
Python bindings for libtorrent-rasterbar.

%description -n python-libtorrent-rasterbar -l pl.UTF-8
Wiązania Pythona do biblioteki libtorrent-rasterbar.

%prep
%setup -q

## Some of the sources and docs are executable, which makes rpmlint against
## the resulting -debuginfo and -devel packages, respectively, quite angry. :]
find src docs -type f | xargs chmod a-x
find -type f -regex '.*\.[hc]pp' | xargs chmod a-x
## The RST files are the sources used to create the final HTML files; and are
## not needed.
%{__rm} docs/*.rst

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	LIBS="-lpthread -lrt" \
	--disable-silent-rules \
	--enable-python-binding \
	--with-boost-libdir=%{_libdir} \
	--with-boost-system=boost_system \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-thread=boost_thread \
	--with-boost-regex=boost_regex \
	--with-boost-program-options=boost_program_options \
	--with-asio=system \
	--with-zlib=system \
	--with-libgeoip=system \
	--with-ssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtorrent-rasterbar.so.7

%files devel
%defattr(644,root,root,755)
%doc docs/
%attr(755,root,root) %{_libdir}/libtorrent-rasterbar.so
%{_libdir}/libtorrent-rasterbar.la
%{_pkgconfigdir}/libtorrent-rasterbar.pc
%{_includedir}/libtorrent

%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent-rasterbar.a

%files -n python-libtorrent-rasterbar
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/libtorrent.so
%{py_sitedir}/python_libtorrent-*.egg-info
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtorrent-rasterbar.git;a=log;h=master

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> aa470b6
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 227ba0d
- updated boost and python version

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> ad10f15
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> f24d4ff
- release 2 (by relup.sh)

* Sun Feb 03 2013 Jacek Konieczny <jajcus@jajcus.net> 6a319e7
- Version: 0.16.7

* Fri Oct 26 2012 Elan Ruusamäe <glen@delfi.ee> c4c822f
- up to 0.16.4

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75098e5
- release 2 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 8c720f4
- Updated to 0.16.1

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b09f09e
- release 2

* Wed Nov 23 2011 lisu <lisu@pld-linux.org> f52b31b
- updated to 0.15.9

* Mon Oct 10 2011 lisu <lisu@pld-linux.org> 60b538a
- obsoleted

* Mon Oct 10 2011 lisu <lisu@pld-linux.org> de5d8d8
- updated to 0.15.8
- bashizm.patch applied upstream

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> e509e96
- up to 0.15.7

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 5dc8bbd
- updated bashizm patch is back
- removed obsolete py27 patch
- general cleanup
- pl for python-
- release 3

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3eaa054
- release 2

* Tue Apr 12 2011 lisu <lisu@pld-linux.org> 1b132b5
- updated to 0.15.6
- use __rm macro

* Fri Feb 11 2011 sparky <sparky@pld-linux.org> 1b541e3
- s/util-linux-ng7util-linux/

* Fri Jan 07 2011 lisu <lisu@pld-linux.org> 1572f7e
- up to 0.15.5

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dc962f8
- release 5

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4712415
- release 4

